Bug 1884797 - [abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1fddbb2f7b7694a8773b60d6cdf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-02 19:54 UTC by Reb
Modified: 2021-05-25 16:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:49:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.82 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: core_backtrace (17.44 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: cpuinfo (1.91 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: dso_list (14.03 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: environ (1.89 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: exploitable (82 bytes, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: limits (1.29 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: maps (92.76 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: mountinfo (2.58 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: open_fds (4.37 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details
File: xsession_errors (227 bytes, text/plain)
2020-10-02 19:55 UTC, Reb
no flags Details

Description Reb 2020-10-02 19:54:59 UTC
Description of problem:
I was dragging/dropping files and Nautilus crashed.  This seems to happen periodically when dragging/dropping.

Version-Release number of selected component:
nautilus-3.36.3-1.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-500.slice/user@500.service/dbus\x2d:1.2\x2dorg.gnome.Nautilus.slice/dbus-:1.2-org.gnome.Nautilus@0.service
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
journald_cursor: s=fbc6e75d6f98450c9ac537fbc9770ebf;i=d1dc01;b=4deb5f3b523c407bbf8e0a530025597d;m=6619ac4a;t=5b0b53991e3f7;x=d50b8d5e53887893
kernel:         5.8.12-200.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at ../gobject/gtype.c:4028
 #1 g_object_ref at ../gobject/gobject.c:3365
 #2 g_list_copy_deep at ../glib/glist.c:757
 #3 nautilus_files_view_set_selection at ../src/nautilus-files-view.c:3195
 #4 load_new_location at ../src/nautilus-window-slot.c:2156
 #5 setup_view at ../src/nautilus-window-slot.c:2084
 #6 got_file_info_for_view_selection_callback at ../src/nautilus-window-slot.c:1940
 #7 call_ready_callbacks_at_idle at ../src/nautilus-directory-async.c:1980
 #12 g_main_context_iteration at ../glib/gmain.c:4108
 #13 g_application_run at ../gio/gapplication.c:2559

Potential duplicate: bug 1354440

Comment 1 Reb 2020-10-02 19:55:02 UTC
Created attachment 1718506 [details]
File: backtrace

Comment 2 Reb 2020-10-02 19:55:04 UTC
Created attachment 1718507 [details]
File: core_backtrace

Comment 3 Reb 2020-10-02 19:55:05 UTC
Created attachment 1718508 [details]
File: cpuinfo

Comment 4 Reb 2020-10-02 19:55:06 UTC
Created attachment 1718509 [details]
File: dso_list

Comment 5 Reb 2020-10-02 19:55:08 UTC
Created attachment 1718510 [details]
File: environ

Comment 6 Reb 2020-10-02 19:55:08 UTC
Created attachment 1718511 [details]
File: exploitable

Comment 7 Reb 2020-10-02 19:55:09 UTC
Created attachment 1718512 [details]
File: limits

Comment 8 Reb 2020-10-02 19:55:11 UTC
Created attachment 1718513 [details]
File: maps

Comment 9 Reb 2020-10-02 19:55:11 UTC
Created attachment 1718514 [details]
File: mountinfo

Comment 10 Reb 2020-10-02 19:55:12 UTC
Created attachment 1718515 [details]
File: open_fds

Comment 11 Reb 2020-10-02 19:55:13 UTC
Created attachment 1718516 [details]
File: proc_pid_status

Comment 12 Reb 2020-10-02 19:55:14 UTC
Created attachment 1718517 [details]
File: xsession_errors

Comment 13 Jim Cromie 2020-10-15 17:40:09 UTC
Similar problem has been detected:

I clicked to eject a usb stick (vfat)
it responded with popup "ready to be removed"
I yanked stick, nautilus crashed.

reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.gnome.Nautilus.slice/dbus-:1.2-org.gnome.Nautilus@1.service
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
journald_cursor: s=fa0d0d5dcb554607b09c070e9deb96f9;i=bedeb;b=e0f6b94c453e457bb7474c37e98227de;m=f3ebeb296b;t=5b1b8e6da5e14;x=59014c7963fbb103
kernel:         5.8.12-200.fc32.x86_64
package:        nautilus-3.36.3-1.fc32
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Program Management 2021-04-29 16:39:47 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2021-05-25 16:49:37 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.